=== debian/changelog ===
kseexpr (4.0.4.0-4) unstable; urgency=medium

  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 16:37:53 +0200

kseexpr (4.0.4.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Update symbols files. (Closes: #1012962)

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 06:25:25 +0200

kseexpr (4.0.4.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Mon, 14 Feb 2022 08:31:44 +0100

kseexpr (4.0.4.0-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Jan 2022 12:39:04 +0100
