=== debian/control ===
Source: kseexpr
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: bison,
               cmake (>= 3.8.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.52.0~),
               flex,
               libgtest-dev <!nocheck>,
               libkf5i18n-dev (>= 5.52.0),
               libpng-dev <!nocheck>,
               pkg-kde-tools,
               python3:any,
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev,
Standards-Version: 4.6.1
Uploaders: Pino Toscano <pino@debian.org>,
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/kseexpr
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/kseexpr
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/kseexpr.git

Package: libkseexpr-data
Section: misc
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: embeddable expression evaluation engine - shared data
 SeExpr is an embeddable, arithmetic expression language that enables flexible
 artistic control and customization in creating computer graphics images.
 Example uses include procedural geometry synthesis, image synthesis,
 simulation control, crowd animation, and geometry deformation.
 .
 KSeExpr is a fork of SeExpr mainly used for Krita.
 .
 This package contains the data shared by the KSeExpr libraries.

Package: libkseexpr4
Architecture: any
Depends: libkseexpr-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: embeddable expression evaluation engine - shared library
 SeExpr is an embeddable, arithmetic expression language that enables flexible
 artistic control and customization in creating computer graphics images.
 Example uses include procedural geometry synthesis, image synthesis,
 simulation control, crowd animation, and geometry deformation.
 .
 KSeExpr is a fork of SeExpr mainly used for Krita.
 .
 This package contains the core shared library.

Package: libkseexprui4
Architecture: any
Depends: libkseexpr4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: embeddable expression evaluation engine - UI shared library
 SeExpr is an embeddable, arithmetic expression language that enables flexible
 artistic control and customization in creating computer graphics images.
 Example uses include procedural geometry synthesis, image synthesis,
 simulation control, crowd animation, and geometry deformation.
 .
 KSeExpr is a fork of SeExpr mainly used for Krita.
 .
 This package contains the UI shared library.

Package: libkseexpr-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkseexpr4 (= ${binary:Version}),
         libkseexprui4 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: development files for libreadstat library
 ReadStat is a command-line tool and MIT-licensed C library for reading files
 from popular stats packages.
 .
 This package contains the development files.
