=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=ON

execute_after_dh_auto_install:
	# do not ship the tests
	rm -rfv debian/tmp/usr/share/test/
