=== debian/watch ===
version=4
https://download.kde.org/stable/kseexpr/([\d\.]+)/kseexpr-([\d\.]+)\.tar\.(?:gz|xz)
