## kseexpr 4.0.4.0+p24.04+vstable+git20250903.0823

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20250903.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 08:23:49 +0000

kseexpr (4.0.4.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Dec 2021 01:22:08 +0000

kseexpr (4.0.3.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jul 2021 01:22:04 +0000

kseexpr (4.0.2.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Jul 2021 01:22:09 +0000

kseexpr (4.0.1.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 01:22:10 +0000

kseexpr (4.0.0.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:28:22 +0000
