## kseexpr 4.0.4.0+p24.04+vstable+git20250926.0539

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20250926.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:39:59 +0000
