## kseexpr 4.0.4.0+p24.04+vstable+git20251011.2324

=== src/KSeExpr/CMakeLists.txt ===
--- 
+++ 
@@ -82,7 +82,7 @@
     if (NOT APPLE)
         set_source_files_properties(interpreter.cpp PROPERTIES COMPILE_OPTIONS "-rdynamic")
     endif()
-    target_link_libraries(KSeExpr "dl")
+    target_link_libraries(KSeExpr ${CMAKE_DL_LIBS})
 else()
     add_library(KSeExpr STATIC ${KSeExpr_SOURCES} ${parser_cpp})
 endif()
