=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20251011.2324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:24:31 +0000
