=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure --  -DBUILD_DOC=ON -DBUILD_TESTS=OFF -DBUILD_UTILS=ON #-DENABLE_LLVM_BACKEND=ON -DCMAKE_CXX_STANDARD=17
