=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/@PACKAGE@/@ANY_VERSION@/@PACKAGE@-(.*)@ARCHIVE_EXT@
