## kseexpr 4.0.4.0+p24.04+vstable+git20251015.0843

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20251015.0843-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:43:52 +0000
