## kseexpr 4.0.4.0+p24.04+vstable+git20251023.0113

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 ## project name & version
 project(KSeExpr
-    VERSION "4.0.4.0"
+    VERSION "6.0.0.0"
     DESCRIPTION "An embeddable expression evaluation engine for Krita"
 )
 
@@ -65,8 +65,8 @@
 # Configuration options
 option(ENABLE_LLVM_BACKEND "Whether to build with LLVM backend" FALSE)
 add_feature_info(LLVMBackend ENABLE_LLVM_BACKEND "Build the LLVM backend of KSeExpr")
-option(ENABLE_QT5 "Whether to use Qt5" TRUE)
-add_feature_info(KSeExprUI ENABLE_QT5 "Build the KSeExprUI widget library")
+option(ENABLE_QT6 "Whether to use Qt6" TRUE)
+add_feature_info(KSeExprUI ENABLE_QT6 "Build the KSeExprUI widget library")
 option(BUILD_UTILS "Whether to build the utilities" FALSE)
 add_feature_info(Utils BUILD_UTILS "Build the utilities")
 option(BUILD_DEMOS "Whether to build the demos" FALSE)
@@ -82,17 +82,21 @@
 option(ENABLE_PERFORMANCE_STATS "Whether to print performance stats across KSeExpr" FALSE)
 add_feature_info(PerformanceStats ENABLE_PERFORMANCE_STATS "Print performance stats across KSeExpr")
 
+if (CMAKE_SYSTEM_NAME MATCHES "Windows")
+    set(USE_PREGENERATED_FILES TRUE)
+endif()
+
 # Package lookup
 
 find_package(Doxygen)
 set_package_properties(Doxygen PROPERTIES
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the documentation")
-find_package(ECM 5.52.0 NO_MODULE)
+find_package(ECM 6.2.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES
                        TYPE OPTIONAL
                        PURPOSE "Enables translations (if bundled) and automatic sanitizer support")
-find_package(KF5I18n 5.52.0)
+find_package(KF6I18n 6.2.0)
 set_package_properties(KF5I18n PROPERTIES
                        TYPE OPTIONAL
                        PURPOSE "Enables detection of fallback languages in KDE apps")
@@ -128,7 +132,7 @@
         include(ECMEnableSanitizers)
     endif()
 
-    if (IS_DIRECTORY "${CMAKE_SOURCE_DIR}/po")
+    if (IS_DIRECTORY "${CMAKE_SOURCE_DIR}/poqm")
         option(BUILD_TRANSLATIONS "Whether to include translations" TRUE)
         add_feature_info(i18n BUILD_TRANSLATIONS "Build and embed translations")
     endif ()
@@ -218,12 +222,12 @@
       FORCE)
 endif()
 
-if (ENABLE_QT5)
-    find_package(Qt5 5.9.0 COMPONENTS Core Gui Widgets REQUIRED)
+if (ENABLE_QT6)
+    find_package(Qt6 6.6.0 COMPONENTS Core Gui Widgets REQUIRED)
     set_package_properties(Qt5 PROPERTIES
                             TYPE REQUIRED
                             PURPOSE "Required if you're building KSeExprUI")
-    message(STATUS "Qt5 Enabled")
+    message(STATUS "Qt6 Enabled")
 endif()
 
 ## Make modules able to see seexpr library
@@ -241,7 +245,7 @@
 
 ## Traverse subdirectories
 add_subdirectory(src/KSeExpr)
-if (ENABLE_QT5)
+if (ENABLE_QT6)
     add_subdirectory(src/KSeExprUI)
 endif()
 if (BUILD_UTILS)
