=== src/KSeExprUI/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
     list(APPEND CMAKE_MODULE_PATH "/usr/share/apps/cmake/modules")
 endif()
 
-if (Qt5_FOUND)
+if (TARGET Qt6::Widgets)
     # Adding Krita's definitions to make headers automatically compatible. -amyspark
     add_definitions(
         -DQT_USE_QSTRINGBUILDER
@@ -76,13 +76,13 @@
             Utils.cpp
     )
 
-    qt5_wrap_cpp(EDITOR_MOC_SRCS ${EDITOR_MOC_HDRS})
+    qt_wrap_cpp(EDITOR_MOC_SRCS ${EDITOR_MOC_HDRS})
 
     if (BUILD_TRANSLATIONS)
         include(ECMPoQmTools)
-        ecm_install_po_files_as_qm("${CMAKE_SOURCE_DIR}/po")
+        ecm_install_po_files_as_qm("${CMAKE_SOURCE_DIR}/poqm")
 
-        if (KF5I18n_FOUND)
+        if (TARGET KF6::I18n)
             add_definitions(-DKSeExpr_HAVE_I18N_FALLBACK_LANGUAGES_DETECTION)
         endif()
 
@@ -116,13 +116,13 @@
     target_link_libraries(KSeExprUI PUBLIC KSeExpr)
 
     target_link_libraries(KSeExprUI PUBLIC
-        Qt5::Core
-        Qt5::Gui
-        Qt5::Widgets
+        Qt::Core
+        Qt::Gui
+        Qt::Widgets
     )
 
-    if (KF5I18n_FOUND)
-        target_link_libraries(KSeExprUI PUBLIC KF5::I18n)
+    if (TARGET KF6::I18n)
+        target_link_libraries(KSeExprUI PUBLIC KF6::I18n)
     endif()
 
     ## Install library and includes
