=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20251023.0113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:13:37 +0000
