=== debian/control ===
Source: kseexpr
Section: kde
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               flex,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               libedit-dev,
               libgtest-dev,
               libpng-dev,
               libzstd-dev,
               llvm-16-dev,
               pkg-kde-tools-neon,
               python3-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kseexpr.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kseexpr
Maintainer: Neon CI <neon@kde.org>

Package: libkseexpr6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkseexpr-data (<< ${source:Version}~ciBuild),
        libkseexpr3 (<< 4.0.1),
        libkseexpr4 (<< ${source:Version}~ciBuild),
        libkseexpr4.0.2.0 (<< 4.0.3),
        libkseexpr4010 (<< 4.0.2),
        libkseexprui3 (<< 4.0.1),
        seexpr (<< 4)
Replaces: libkseexpr-data (<< ${source:Version}~ciBuild),
          libkseexpr3 (<< 4.0.1),
          libkseexpr4 (<< ${source:Version}~ciBuild),
          libkseexpr4.0.2.0 (<< 4.0.3),
          libkseexpr4010 (<< 4.0.2),
          libkseexprui3 (<< 4.0.1),
          seexpr (<< 4)
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Library.

Package: libkseexprui6
Architecture: any
Breaks: libkseexpr3 (<< 4.0.1),
        libkseexprui3 (<< 4.0.1),
        libkseexprui4 (<< ${source:Version}~ciBuild),
        libkseexprui4.0.2.0 (<< 4.0.3),
        libkseexprui4010 (<< 4.0.2),
        seexpr (<< 4)
Replaces: libkseexpr3 (<< 4.0.1),
          libkseexprui3 (<< 4.0.1),
          libkseexprui4 (<< ${source:Version}~ciBuild),
          libkseexprui4.0.2.0 (<< 4.0.3),
          libkseexprui4010 (<< 4.0.2),
          seexpr (<< 4)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita.
 .
 UI library.

Package: libkseexpr-dev
Architecture: any
Depends: libkseexpr6 (= ${binary:Version}),
         libkseexprui6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kseexpr-dev,
        libkseexpr3 (<< 4.0.1),
        libkseexprui3 (<< 4.0.1),
        seexpr (<< 4)
Replaces: kseexpr-dev,
          libkseexpr3 (<< 4.0.1),
          libkseexprui3 (<< 4.0.1),
          seexpr (<< 4)
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Development files.

Package: libkseexpr-doc
Architecture: all
Depends: ${misc:Depends}
Priority: optional
Section: doc
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Documentation files.

Package: libkseexpr-data
Architecture: any
Depends: ${misc:Depends}
Section: oldlibs
Priority: optional
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: seexpr
Architecture: all
Depends: libkseexpr3, libkseexprui3, ${misc:Depends}, ${shlibs:Depends}
Priority: optional
Section: oldlibs
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: libkseexprui3
Architecture: all
Depends: ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: libkseexpr3
Architecture: all
Depends: ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: libkseexpr4010
Architecture: any
Depends: ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: libkseexprui4010
Architecture: any
Depends: ${misc:Depends}
Priority: optional
Section: oldlibs
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita.
 .
 Transitional dummy package.

Package: libkseexpr4.0.2.0
Architecture: any
Depends: ${misc:Depends}
Section: oldlibs
Priority: optional
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: libkseexprui4.0.2.0
Architecture: any
Section: oldlibs
Priority: optional
Depends: ${misc:Depends}
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita.
 .
 Transitional dummy package.

Package: libkseexpr4
Architecture: any
Depends: ${misc:Depends}
Section: oldlibs
Priority: optional
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita
 .
 Transitional dummy package.

Package: libkseexprui4
Architecture: any
Section: oldlibs
Priority: optional
Depends: ${misc:Depends}
Description: Fork of Walt Disney Animation Studios' SeExpr
 Fork of Walt Disney Animation Studios' SeExpr for Krita.
 .
 Transitional dummy package.
