## kseexpr 4.0.4.0+p24.04+vstable+git20251031.0732

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20251031.0732-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:32:36 +0000
