## kseexpr 4.0.4.0+p24.04+vstable+git20251109.0150

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20251109.0150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 01:50:40 +0000
