## kseexpr 4.0.4.0+p24.04+vstable+git20251113.0611

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20251113.0611-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 06:11:05 +0000
