## kseexpr 4.0.4.0+p24.04+vstable+git20260102.1120

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20260102.1120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:20:45 +0000
