## kseexpr 4.0.4.0+p24.04+vstable+git20260107.0656

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20260107.0656-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:56:54 +0000
