## kseexpr 4.0.4.0+p24.04+vstable+git20260116.0907

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20260116.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 09:07:06 +0000
