## kseexpr 4.0.4.0+p24.04+vstable+git20260122.1234

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vstable+git20260122.1234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 12:34:09 +0000
