## kseexpr 4.0.4.0+p24.04+vunstable+git20251020.0234

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vunstable+git20251020.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:34:22 +0000
