## kseexpr 4.0.4.0+p24.04+vunstable+git20251030.0052

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vunstable+git20251030.0052-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:52:59 +0000
