## kseexpr 4.0.4.0+p24.04+vunstable+git20260123.0330

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vunstable+git20260123.0330-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:30:59 +0000
