## kseexpr 4.0.4.0+p24.04+vunstable+git20260201.0548

=== debian/changelog ===
kseexpr (4.0.4.0+p24.04+vunstable+git20260201.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 05:48:07 +0000
